var texts = {
    NPC_TXT_SALUTATIONS: '1',
    NPC_TXT_START: '2',
    NPC_TXT_ATTAQUE_D: '3',
    NPC_TXT_ATTAQUE_A: '4',
    NPC_TXT_START_ROUND_2: '5',
    NPC_TXT_LEGENDARY: '6',
    NPC_TXT_START_ROUND_3: '7',
    NPC_TXT_MIDDLE_WIN: '8',
    NPC_TXT_LOSE: '9',
    NPC_TXT_VICTORY: '10',
    MENU_TXT_REGLES: '11'
}

var translation = {
    selectedLanguage: 'fr',
    
    get: function (text) {
        mLog('Ask translate for ' + text);
        if (this.selectedLanguage == 'fr') {
            if (text == 'loading') return 'Chargement';
            if (text == 'let\'s go!') return 'C\'est parti!';
            if (text == 'Assault 1') return 'Assaut 1';
            if (text == 'Assault 2') return 'Assaut 2';
            if (text == 'Assault 3') return 'Assaut 3';
            if (text == 'FIGHT !') return 'COMBAT !';
            if (text == 'Rendering') return 'Calcul du rendu';
            if (text == 'End of fight !') return 'End of fight !';
            if (text == texts.NPC_TXT_SALUTATIONS) 
                return 'Salutations général! L\'heure est grave ! Un dragon\nest à nos portes ! Rassemblez vos hommes et aidez-moi\nà le vaincre ! Je vous récompenserai en fonction de votre\nperformance !';
            if (text == texts.NPC_TXT_START) 
                return 'Pour commencer, placez vos archers sur des colonnes\nlibres afin qu\'ils aient le champ libre pour tirer.';
            if (text == texts.NPC_TXT_ATTAQUE_D) 
                return 'Attention! Le dragon attaque !';
            if (text == texts.NPC_TXT_ATTAQUE_A) 
                return 'Il est l\'heure de risposter !';
            if (text == texts.NPC_TXT_START_ROUND_2) 
                return 'Nous avons encore des hommes! Placez-les sur les\ncolonnes ! Il nous faut achever ce dragon !';
            if (text == texts.NPC_TXT_LEGENDARY) 
                return 'Hoo ! Vous avez un archer légendaire dans vos rang,\ngénéral ? Quelle bonne surprise ! Il va pouvoir faire\nbeaucoup de dégâts.';
            if (text == texts.NPC_TXT_START_ROUND_3) 
                return 'Il nous reste encore quelques hommes, donnez tout\nce que vous pouvez pour l\'achever !';
            if (text == texts.NPC_TXT_MIDDLE_WIN) 
                return 'C\'est mieux que rien, général... Blessé comme cela,\nil n\'est plus dangereux pour un bon bout de temps...';
            if (text == texts.NPC_TXT_LOSE) 
                return 'Vos archers ont besoin de plus d\'entrainement, général.\nEspérons que le dragon ne détruise pas le chateau le temps\nque vous retrouviez de nouveaux hommes...';
            if (text == texts.NPC_TXT_VICTORY) 
                return 'Félicitations ! Vous avez rempli brillament votre mission!\nLe royaume tout entier vous en est reconnaissant ! \nPassons maintenant à la récompense...';
            if (text == texts.MENU_TXT_REGLES) 
                return 'Dans Dragon versus Archer, vous devez défendre\nun royaume attaqué par un dragon. Pour ce faire,\nvous disposez d\'archers que vous devrez placer\nsur les colonnes en face du dragon. Le jeu se déroule\nen 7 rounds. A chaque round, le dragon va faire feu \ndétruire certaines colonnes. Les archers survivants\nvont alors pouvoir riposter. Vos gains augmentent au \nfur et à mesure que la vie du dragon descend.\nIl existe des archers de trois niveaux différents, qui\nfont plus ou moins de dégats. Toutefois, il n\'est \npas nécessaire d\'avoir des archers de niveau maximum\npour gagner !';
            if (text == 'Jouer') return 'Jouer';
            if (text == 'Tester') return 'Tester';
            if (text == 'Regles') return 'Regles';
        } else if (this.selectedLanguage == 'en') {
            if (text == 'loading') return 'Loading';
            if (text == 'let\'s go!') return 'Let\'s go !';
            if (text == 'Assault 1') return 'Assault 1';
            if (text == 'Assault 2') return 'Assault 2';
            if (text == 'Assault 3') return 'Assault 3';
            if (text == 'FIGHT !') return 'FIGHT !';
            if (text == 'Rendering') return 'Rendering';
            if (text == 'End of fight !') return 'Fin du combat !';
        } else if (this.selectedLanguage == 'nl') {
            if (text == 'loading') return 'Not translated';
            if (text == 'let\'s go!') return 'Not translated';
            if (text == 'Assault 1') return 'Not translated';
            if (text == 'Assault 2') return 'Not translated';
            if (text == 'Assault 3') return 'Not translated';
            if (text == 'FIGHT !') return 'Not translated !';
            if (text == 'Rendering') return 'Not translated';
        }
        return 'not found';
    }
}